<?php

defined('_SITE_') or die('Error. You don`t have permision to access.');

function htmlHeader() 
{
	global $User;

	/* Title, Description */
	$information = DB::$dbs->queryFetch("SELECT * FROM ". PAGES ." WHERE `uri` = ?", [filterOutput($_SERVER['REQUEST_URI'])]);

	if (empty($information)) {
		$title 	= 'IT блог Wap, Web мастеру';
		$desc 	= 'Как создать свой сайт с 0 на php, разбор пабл движков.';
	} else {
		$title 	= $information['title'];
		$desc 	= $information['desc'];
	}

	$category 	= DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". ARTICLE_CATEGORY .""); 
	$n 			= new Navigator($category, 10,'');
	$sql 		= DB::$dbs->query("SELECT * FROM ". ARTICLE_CATEGORY ." ORDER BY `id` LIMIT {$n->start()}, 10");

	$style = (empty($_SESSION['design']) || $_SESSION['design'] != 'dark' ? 'style' : 'dark');
	?>

<!DOCTYPE html>
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta name="description" content="<?=$desc?>">
<link rel="stylesheet" type="text/css" href="<?=HOME?>/Styles/Web/zerogrid.css">
<link rel="stylesheet" type="text/css" href="<?=HOME?>/Styles/Web/<?=$style?>.css">
<link rel="stylesheet" type="text/css" href="<?=HOME?>/Styles/Web/responsive.css">
<title><?=$title?></title>
</head>
<body>

<div class="wrap-body"> 
	<header>
		<div class="top-bar"> 
			<div class="wrap-top zerogrid"> 
				<div class="row"> 
					<div class="col-1-2"> 
						<div class="wrap-col"> 
							<ul> 
								<div class="logotype">
									<a href="<?=HOME?>/" style="letter-spacing: 3px;"><span style="color: #0165C2;font-size: 22px;">S</span><span style="color: #fff;">ite.ua</span></a>
								</div>
							</ul>
						</div>
					</div>
					<div class="col-1-2">
						<div class="wrap-col f-right">
							<ul>
								<div class="item">
									<?php if (empty($User)) :?>
										<a href="<?=HOME?>/Pages/Login/SignIn"><img src="<?=HOME?>/Icons/menu.png"?></a>
									<?php else :?>
										<a href="<?=HOME?>/Pages/Profile/Profile"><img src="<?=HOME?>/Icons/menu.png"?></a> 
									<?php endif;?>
								</div>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div> 
		<div class="wrap-header zerogrid">
			<div class="row" style="margin-top: 20px;">
				<div id="menu">
					<nav>
						<div class="wrap-nav">
						   <ul> 
						   	<?php while ($cat = $sql -> fetch()) :?>
								<li><a href="<?=HOME?>/Pages/Article?categoryId=<?=filterInt($cat['categoryId'])?>"> <?=filterOutput($cat['name'])?></a></li>
							<?php endwhile;?> 
							<li><a href="<?=HOME?>/Pages/Article">Все категории</a></li>
						   </ul>
						</div>
					</nav>
				</div>
			</div>
		</div>
	</header>

	<?php
}

function htmlFooter() 
{ 
	if (isset($_GET['reDesign'])) {
		if (empty($_SESSION['design'])) {
			$_SESSION['design'] = 'dark';
		} else if ($_SESSION['design'] == 'dark') {
			$_SESSION['design'] = 'style';
		} else {
			$_SESSION['design'] = 'dark';
		} 
		header("Location: ". filterOutput($_SERVER['SCRIPT_NAME']));
	}
	?>

<footer>
	<a href="?reDesign" class="Button"> Сменить дизайн</a>
	<div class="bottom-footer">
		<div class="wrap-bottom ">
			<div class="copyright">
				<p> &copy;amfetaminf 2017 Email: amfetaminf@gmail.com</p>
			</div>
		</div>
	</div>
</footer>
</div>
</body>
</html>

	<?php
}

function htmlParse ($uri, $start, $end) {
	if (!filter_var($uri, FILTER_VALIDATE_URL)) {
		$return 	= $uri;
	} else {
		$content 	= file_get_contents($uri);
		$start 		= strpos($content, $start);
		$content 	= substr($content, $start); 
		$end 		= strpos($content, $end);
		$content 	= substr($content, 0, $end);
		//$content=str_replace('Код, который нужно вырезать.','', $content);
		$return 	= $content;
	}
	return $return;
}

function htmlIcon($name, $width = 14, $ext = '.png') 
{
	$name = filterOutput($name);

	echo ' <img src="'. HOME .'/Icons/'. $name . $ext .'" width="'. $width .'" height="'. $width .'" alt="[icon:'. $name .']">';
}

function htmlError($message, $type) 
{
	$message = filterOutput($message);

	if ($type == 'user') 
	{
		?> 

<div class="UserError">
	<span class="Left">
		<?=htmlIcon('!', 20);?>
	</span> 
	<span class="Close"> 
		<a href="<?=filterOutput($_SERVER['REQUEST_URI'])?>"><?=htmlIcon('x', 20);?></a> 
	</span> 
	Ошибка: <b><?=$message?></b>
</div>

		<?php
	} 
	else if ($type == 'system') 
	{
		?>

<div class="SystemError">
	<span class="Left">
		<?=htmlIcon('!', 20);?>
	</span>  
	<span class="Close"> 
		<a href="<?=filterOutput($_SERVER['REQUEST_URI'])?>"><?=htmlIcon('x', 20);?></a> 
	</span> 
	Системная ошибка: <b><?=$message?></b>
</div>

		<?php
	}
}

function htmlSuccess($message, $clear = null) 
{
	$message 	= filterOutput($message);
	$uri 		= ($clear == 'clear' ? filterOutput($_SERVER['SCRIPT_NAME']) : filterOutput($_SERVER['REQUEST_URI']));

	?>

<div class="UserSuccess">
	<span class="Left">
		<?=htmlIcon('!', 20);?>
	</span> 
	<span class="Close"> 
		<a href="<?=$uri?>"><?=htmlIcon('x', 20);?></a> 
	</span>
	<b><?=$message?></b>
</div>

	<?php

}

function htmlTime($time = null) 
{
    if ($time == NULL)$time = time();
    $timep="".date("j M yг. в H:i", $time)."";
    $time_p[0]=date("j n Y", $time);
    $time_p[1]=date("H:i", $time);

    if ($time_p[0] == date("j n Y"))$timep = date("H:i:s", $time);
    if ($time_p[0] == date("j n Y", time()-60*60*24))$timep = "Вчера в $time_p[1]";

    $timep = str_replace("Jan","Янв",$timep);
    $timep = str_replace("Feb","Фев",$timep);
    $timep = str_replace("Mar","Мар",$timep);
    $timep = str_replace("May","Мая",$timep);
    $timep = str_replace("Apr","Апр",$timep);
    $timep = str_replace("Jun","Июня",$timep);
    $timep = str_replace("Jul","Июля",$timep);
    $timep = str_replace("Aug","Авг",$timep);
    $timep = str_replace("Sep","Сент",$timep);
    $timep = str_replace("Oct","Окт",$timep);
    $timep = str_replace("Nov","Нояб",$timep);
    $timep = str_replace("Dec","Дек",$timep);
    return $timep;
}

function htmlCountTime ($count) 
{
    $d                   = 3600 * 24; 
    $day                 = floor($count / $d);
    $count               = $count - ($d * $day);
    
    $hour                = floor($count / 3600);
    $count               = $count - (3600 * $hour);
    
    $minute              = floor($count / 60);
    $count               = $count - (60 * $minute);
    
    $second              = floor($count);
    
    $dayt                = "" . ($day > 0 ? "$day д. " : null) . "";
    $hourt               = "" . ($hour > 0 ? "$hour ч. " : null) . "";
    $minutet             = "" . ($minute > 0 ? "$minute м. " : null) . "";
    $secondt             = "" . ($second > 0 ? "$second с. " : null) . "";
    
    if ($day > 0) 
    {
        $minutet         = NULL;
	$secondt         = NULL;
    } 
    
    if ($hour > 0 && $day == 0) 
    {
        $secondt         = NULL;
	$dayt            = NULL;
    }
    
    return "$dayt$hourt$minutet$secondt";
}

function htmlBb($var) {
        $search = [
                '/\[b\](.*?)\[\/b\]/is',
                '/\[i\](.*?)\[\/i\]/is',
                '/\[u\](.*?)\[\/u\]/is',
                '/\[\/br\]/is',
                '/\[img\](.*?)\[\/img\]/is',
                '/\[url\=(.*?)\](.*?)\[\/url\]/is',
                '/\[code\](.*?)\[\/code\]/is',
                '/\[image\](.*?)\[\/image\]/is'
                ];

        $replace = [
                '<strong>$1</strong>',
                '<em>$1</em>',
                '<u>$1</u>',
                '<br/>',
                '<img src="$1" />',
                '<a href="'. HOME .'/Pages/Redirect?uri=$1" target="_blank" style="color: blue;">[$2]</a>', 
                '<div class="Code">$1</div>',
                '<img src="'. HOME .'/Pages/Images/Article/$1" class="ArtImage">'
                ];

        $var = preg_replace ($search, $replace, $var); 
        return $var;
} 

function htmlImgResize($src, $dest, $width, $height, $rgb=0xFFFFFF, $quality=85)
{
  if (!file_exists($src)) return false;

  $size = getimagesize($src);

  if ($size === false) return false;

  // Определяем исходный формат по MIME-информации, предоставленной
  // функцией getimagesize, и выбираем соответствующую формату
  // imagecreatefrom-функцию.
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;

  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];

  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);

  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);

  $isrc = $icfunc($src);
  $idest = imagecreatetruecolor($width, $height);

  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
    $new_width, $new_height, $size[0], $size[1]);

  imagejpeg($idest, $dest, $quality);

  imagedestroy($isrc);
  imagedestroy($idest);

  return true;

} 
