<?php

function userGlobal() 
{
	if (!empty($_SESSION['userId'])) 
	{
		$ank = DB::$dbs->queryFetch("SELECT * FROM ". USERS ." WHERE `id` = ?", [$_SESSION['userId']]);

		if (empty($ank)) 
		{
			unset($_SESSION['userId']);

			if ($_SERVER['SCRIPT_NAME'] != '/index.php') 
			{
				header("Location: ". HOME ."/");
			}
		} 
		else 
		{
			if ($ank['sessionUser'] != $_SESSION['sessionUser']) 
			{
				unset($_SESSION['userId']);
				unset($_SESSION['sessionUser']);

				if ($_SERVER['SCRIPT_NAME'] != '/index.php') 
				{
					header("Location: ". HOME ."/");
				}
			} 
			else 
			{
				return $ank;
			}
		}
	} 
}

userGlobal();

function userGetIP () 
{
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) 
    {
        $ip = $_SERVER['HTTP_CLIENT_IP'];
    } 
    elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) 
    {
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    } 
    else 
    {
        $ip = $_SERVER['REMOTE_ADDR'];
    } 
	    
    return $ip;
}

function userCheckAuthorization($type = 'on') 
{
	if ($type == 'on') 
	{
		if (empty($_SESSION['userId'])) 
		{
			header("Location: ". HOME ."/");
		} 

		return false;
	} 
	else if ($type == 'off') 
	{
		if (!empty($_SESSION['userId'])) 
		{
			header("Location: ". HOME ."/");
		} 

		return false;
	}
}

function userLink($userId, $hrefClass = null, $text = null) 
{
	$userId 	= filterInt($userId);
	$profile 	= DB::$dbs->queryFetch("SELECT `id`, `login`, `online`, `isMobile` FROM ". USERS ." WHERE `id` = ?", [$userId]);

	if ($profile['online'] > ($_SERVER['REQUEST_TIME'] - 900)) 
	{
		if ($profile['isMobile'] == 1) 
		{
			$onlineIcon = '<img src="'. HOME .'/Icons/mobile.png" width="14" height="14" alt="[icon:mobile]">';
		} 
		else if ($profile['isMobile'] == 2) 
		{
			$onlineIcon = '<img src="'. HOME .'/Icons/pc.png" width="14" height="14" alt="[icon:pc]">';
		}
	}

	return '<a href="'. HOME .'/Pages/Profile/Questionnaire?userId='. $profile['id'] .'"'. (!empty($hrefClass) ? ' class="'. $hrefClass .'"' : null) .'> '. filterOutput($profile['login']) .' '. $onlineIcon .' '. (!empty($text) ? $text : null) .'</a>';
}

function userUpdateOnline() 
{
	global $User;

	if (!empty($User)) 
	{
		DB::$dbs->query("UPDATE ". USERS ." SET `online` = ? WHERE `id` = ?", [$_SERVER['REQUEST_TIME'], $User['id']]);
	}
}

function userMobileDetect() 
{
    global $User;

    $userAgent 	= strtolower($_SERVER['HTTP_USER_AGENT']);
    $accept 	= strtolower($_SERVER['HTTP_ACCEPT']);

    if ((strpos($accept, 'text/vnd.wap.wml') !== false) || (strpos($accept, 'application/vnd.wap.xhtml+xml') !== false)) 
    {
        DB::$dbs->query("UPDATE ". USERS ." SET `isMobile` = ? WHERE `id` = ?", [1, $User['id']]);
        return true;
    }

    if (isset($_SERVER['HTTP_X_WAP_PROFILE']) || isset($_SERVER['HTTP_PROFILE'])) 
    {
        DB::$dbs->query("UPDATE ". USERS ." SET `isMobile` = ? WHERE `id` = ?", [1, $User['id']]);
        return true;
    }
    if (preg_match('/android|avantgo|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i', $user_agent)
        || preg_match('/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|e\-|e\/|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(di|rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|xda(\-|2|g)|yas\-|your|zeto|zte\-/i', substr($userAgent, 0, 4))) 
    {
        DB::$dbs->query("UPDATE ". USERS ." SET `isMobile` = ? WHERE `id` = ?", [1, $User['id']]);
        return true;
    }
    
    DB::$dbs->query("UPDATE ". USERS ." SET `isMobile` = ? WHERE `id` = ?", [2, $User['id']]);
    
    return false;
}

function userSendEmail($mail, $theme, $text, $str) 
{
	$utf = "From: ".$str." \n";
	$utf.= "X-sender: < ".$str." >\n";
	$utf.= "Content-Type: text/html; charset=utf-8\n";
	return mail($mail, $theme, $text, $utf);
}