<?php

define("_SITE_", 1);

require_once("../../Core/Core.php");

userCheckAuthorization();

$cost = 1;

if (isset($_POST['try'])) 
{
	$data = $_POST;
	$data['name'] = filterString($data['name']);
	$data['uri'] = filterString($data['uri']);
	$data['days'] = filterInt($data['days']);

	if (empty($data['name']) || empty($data['uri']) || empty($data['days'])) 
	{
		htmlError('Обнаружено пустое поле.', 'user');
	} 
	else if (mb_strlen($data['name']) > 20 || mb_strlen($data['name']) < 4) 
	{
		htmlError('Название должно быть в диапазоне [4-20]', 'user');
	} 
	else if (mb_strlen($data['uri']) > 40 || mb_strlen($data['uri']) < 10) 
	{
		htmlError('Адрес должен быть в диапазоне [10-40]', 'user');
	} 
	else if (!preg_match("/^(http|https):\/\/([A-Z0-9][A-Z0-9_-]*(?:.[A-Z0-9][A-Z0-9_-]*)+):?(d+)?\/?/Diu", $data['uri'])) 
	{
		htmlError('Недопустимый формат адреса', 'user');
	} 
	else if (!is_numeric($data['days'])) 
	{
		htmlError('Недопустимое значение срока', 'user');
	} 
	else 
	{
		$sum 			= $data['days'] * $cost;
		$timeActivate 	= $_SERVER['REQUEST_TIME'] + ($data['days'] * 3600) * 24;
		DB::$dbs->query("INSERT INTO ". ADS ."(`name`, `uri`, `time`, `active`, `cost`) VALUES (?, ?, ?, ?, ?) ", [$data['name'], $data['uri'], $timeActivate, 0, $sum]);
		$payId 			= DB::$dbs->lastInsertId();
		?>

<div class="ContentBlock">
	<div style="text-align: center;">
		<b>Нажмите ниже чтобы продолжить!</b>
	</div>
	<form action="https://merchant.webmoney.ru/lmi/payment.asp" method="POST">
		<input type="hidden" name="LMI_PAYMENT_AMOUNT" value="<?=$sum?>">
		<input type="hidden" name="LMI_PAYMENT_DESC_BASE64" value="<?=base64_encode('Покупка рекламы :: '. filterOutput($data['uri']) .' :: '. $data['days'] .' суток')?>">
		<input type="hidden" name="LMI_PAYEE_PURSE" value="R037725018759">
		<input type="hidden" name="name" value="<?=filterOutput($data['name'])?>">
		<input type="hidden" name="uri" value="<?=filterOutput($data['uri'])?>">
		<input type="hidden" name="days" value="<?=$data['days']?>">
		<input type="hidden" name="LMI_PAYMENT_NO" value="<?=$payId?>">
		<input type="submit" value="Продолжить">
	</form>
</div>

		<?php
	}
}

$count = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". ADS ." WHERE `active` = ? and `time` > ?", [1, $_SERVER['REQUEST_TIME']]);

if ($count == 6) 
{
	htmlError('К сожалению сейчас все рекламные места заняты.', 'user');
} 
else 
{
	?> 

<div class="ContentBlock">
	<form action="<?=HOME?>/Pages/Ads/index.php" method="POST">
		<b>Название[4-20]:</b><br/>
		<input type="text" name="name"><br/>
		<b>Адрес[с http:// [10-40]]:</b><br/>
		<input type="text" name="uri"><br/>
		<b>Срок[<?=$cost?>руб/1сутки[Указывается в днях]]:</b><br/>
		<input type="text" name="days"><br/>
		<input type="submit" name="try" value="Купить">
	</form>
</div>

	<?php
}
?>

<div class="InformationBlock">
	<?=htmlIcon('!')?> Оплата производится через <?=htmlIcon('merchant', '18', '.gif')?>Webmoney Merchant.<br/>
	<?=htmlIcon('!')?> Ссылки которые могут причинить какой либо вред телефонам, компьютерам посетителей (сайты с вирусами, вредоносными кодами) будут удалятся незамедлительно без возврата средств!<br/>
	<?=htmlIcon('!')?> Реклама выводится внизу каждой страницы данного сайта.<br/>
</div>

<?php

htmlFooter();