<?php 

define("_SITE_", 1);

require_once("../../Core/Core.php"); 

if (isset($_GET['id'])) {
	$id = filterInt($_GET['id']);

	if (empty($id) || !is_numeric($id)) {
		htmlError('Статья не найдена', 'user');
	} else {
		$article = DB::$dbs->queryFetch("SELECT * FROM ". ARTICLE ." WHERE `id` = ?", [$id]);

		if (empty($article)) {
			htmlError('Статья не найдена', 'user');
		} else { 
			$categoryName = DB::$dbs->queryFetch("SELECT * FROM ". ARTICLE_CATEGORY ." WHERE `categoryId` = ?", [$article['categoryId']]);
			DB::$dbs->query("UPDATE ". ARTICLE ." SET `view` = ? WHERE `id` = ?", [($article['view'] + 1), $article['id']]);
			$like = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". LIKE ." WHERE `articleId` = ?", [$article['id']]);

			# User like;
			if (!empty($User)) 
			{ 
				$userLike = DB::$dbs->queryFetch("SELECT `id` FROM ". LIKE ." WHERE `userId` = ? and `articleId` = ?", [$User['id'], $article['id']]); 

				if (isset($_GET['Like'])) 
				{ 
					if (empty($userLike)) 
					{
						DB::$dbs->query("INSERT INTO ". LIKE ." (`articleId`, `userId`, `time`) VALUES (?, ?, ?)", [$article['id'], $User['id'], $_SERVER['REQUEST_TIME']]);
						header("Location: #");
					}
				} 
			} 
			?>

<div class="HistoryBlock">
	<a href="<?=HOME?>/"> Главная</a>::<a href="<?=HOME?>/Pages/Article?categoryId=<?=$article['categoryId']?>"><?=filterOutput($categoryName['name'])?></a>::<?=filterOutput($article['name'])?>
</div>

<div class="ArticleBlock">
	<h2><?=filterOutput($article['name'])?></h2><br/>
	<div style="text-align: center;max-width: 100%;">
		<img class="thumb" src="<?=(empty($article['image']) ? '/Images/none.png' : '/Images/Article/'. filterOutput($article['image']))?>" /> 	
	</div>
	<div class="ArticleMessage">
		<?=filterOutput($article['text'], 1)?>
	</div>
	<?=htmlIcon('view', 16)?> <?=filterInt($article['view'])?> 
	<?=(!empty($User) && empty($userLike) ? '<a href="'. HOME .'/Pages/Article/View?id='. $article['id'] .'&amp;Like"><img src="/Icons/like.png" width="16" height="16" alt="[icon:like]"></a>' : htmlIcon('like', 16))?> <?=(!empty($like) ? $like : 0)?><br/>
	<?=htmlIcon('write')?> <?=userLink($article['author'])?> | <?=htmlTime($article['timeAdd'])?>
	<?php if (!empty($User) && $User['access'] == 2) :?> 
		<br/>
		<a href="<?=HOME?>/Pages/Article/Edit?id=<?=filterInt($article['id'])?>">[ред]</a>
		<a href="<?=HOME?>/Pages/Article/Delete?id=<?=filterInt($article['id'])?>">[удал]</a>
	<?php endif;?> 
</div> 

			<?php 
			if (empty($User)) {
				?>
<div class="ArticleBlock"> 
	Для добавления коментария к записи необходимо авторизоваться.
</div> 

				<?php
			} else { 
				if (isset($_POST['addComment'])) {
					$data 			= $_POST;
					$data['text'] 	= filterString($data['text']);

					if (empty($data['text'])) {
						htmlError('Пустой комментарий', 'user');
					} else if (mb_strlen($data['text']) < 10 || mb_strlen($data['text']) > 500) {
						htmlError('Неверная длинна коментария [min:10-max:500]', 'user');
					} else if ($User['cooldownComm'] > $_SERVER['REQUEST_TIME']) {
						htmlError('Защита от спама: Следующий комментарий можно будет отправить через - '. htmlCountTime($User['cooldownComm'] - $_SERVER['REQUEST_TIME']), 'user');
					} else {
						DB::$dbs->query("INSERT INTO ". ARTICLE_COMMENT ." (`articleId`, `user`, `text`, `time`, `status`) VALUES (?, ?, ?, ?, ?)", [$article['id'], $User['id'], $data['text'], $_SERVER['REQUEST_TIME'], 0]);  
						DB::$dbs->query("UPDATE ". USERS ." SET `cooldownComm` = ? WHERE `id` = ?", [($_SERVER['REQUEST_TIME'] + (60 * 5)), $User['id']]);
						htmlSuccess('Ваш комментарий успешно добавлен в базу, он будет показан на сайте в случае успешного прохождения модерации');
					}
				}
				?>

<div class="ArticleBlock" style="text-align: center;">
	<form action="" method="POST">
		<textarea class="ArticleComment" name="text"></textarea><br/>
		<input type="submit" name="addComment" value="Добавить">
	</form>
</div>

				<?php
			} 
			$articleComment = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". ARTICLE_COMMENT ." WHERE `articleId` = ? and `status` = ?", [$article['id'], 1]); 
			$n 				= new Navigator($articleComment, 10,'id='. $article['id']);
			$sql 			= DB::$dbs->query("SELECT * FROM ". ARTICLE_COMMENT ." WHERE `articleId` = ? and `status` = ? ORDER BY `id` LIMIT {$n->start()}, 10", [$article['id'], 1]);
			?>

<div class="ArticleBlock">

			<?php if (empty($articleComment)) : ?>
				Комментариев нет. 
			<?php else :?>
				<?php while ($comm = $sql -> fetch()) :?>
					<div class="Message">
						<?=userLink($comm['user'])?>
						<span style="float: right;"><?=htmlTime($comm['time'])?></span><br/><br/>
						<?=filterOutput($comm['text'])?> 
					</div> 
				<?php endwhile;?>
				<?=$n->navi()?>
			<?php endif;?>

</div> 

			<?php
		}
	}
} else {
	htmlError('Статья не найдена', 'user');
} 

htmlFooter();