<?php

define("_SITE_", 1);

require_once("../../Core/Core.php");

if (isset($_GET['categoryId'])) {
	$categoryId = filterInt($_GET['categoryId']); 

	if (empty($categoryId) || !is_numeric($categoryId)) {
		htmlError('Не верная категория', 'user');
	} else {
		$category = DB::$dbs->queryFetch("SELECT * FROM ". ARTICLE_CATEGORY ." WHERE `categoryId` = ?", [$categoryId]);

		if (empty($category)) {
			htmlError('Не верная категория', 'user');
		} else {
			$article = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". ARTICLE ." WHERE `categoryId` = ?", [$categoryId]);

			if (empty($article)) {
				htmlError('В данной категории еще нет записей', 'user');
			} else {
				$n 		= new Navigator($article, 8,'categoryId='. $categoryId);
				$sql 	= DB::$dbs->query("SELECT * FROM ". ARTICLE ." WHERE `categoryId` = ? ORDER BY `id` LIMIT {$n->start()}, 8", [$categoryId]);
				?>

<section id="container">
	<div class="wrap-container zerogrid">
		<div id="main-content" class="col-2-3">
			<div class="wrap-content">
				<div class="article">
					<div class="row"> 
						<?php while($art = $sql -> fetch()) :?> 
							<div class="col-1-1">
								<div class="wrap-col">
									<div class="post">
										<div class="view effect">  
										 	<img class="thumb" src="<?=(empty($art['image']) ? '/Images/none.png' : '/Images/Article/'. filterOutput($art['image']))?>" /> 			
										</div> 
										<div class="text">
											<h1 style="font-size: 18px;"><a href="<?=HOME?>/Pages/Article/View?id=<?=filterInt($art['id'])?>"><?=filterOutput($art['name'])?></a></h1>
									  		<?=filterOutput($art['text'], 1)?>
									  	</div>
									</div>
								</div>
							</div>
						<?php endwhile;?>
					</div> 
					<?=$n->navi();?>
				</div>
			</div>
		</div>
	</div>
</section>

				<?php
			}
		}
	}
} else {
	$category = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". ARTICLE_CATEGORY .""); 

	if (empty($category)) {
		htmlError('Категорий не найдено', 'user');
	} else { 
		$n 		= new Navigator($category, 10,'');
		$sql 	= DB::$dbs->query("SELECT * FROM ". ARTICLE_CATEGORY ." ORDER BY `id` LIMIT {$n->start()}, 10");
		?>

<div class="ContentBlock">
	<?php while ($cat = $sql -> fetch()) :?>
		<a href="<?=HOME?>/Pages/Article?categoryId=<?=filterInt($cat['categoryId'])?>" class="TouchLink"> <?=filterOutput($cat['name'])?></a>
	<?php endwhile;?>
</div>

		<?php
	} 
	if (!empty($User) &&  $User['access'] == 2) {
		?>

<div class="ContentBlock">
	<a href="<?=HOME?>/Pages/Article/NewCategory" class="TouchLink"> Создать категорию</a>
</div>

		<?php
	}
}

htmlFooter();