<?php

define("_SITE_", 1);

require_once ('../../Core/Core.php');

userCheckAuthorization('off');

if (isset($_POST['try'])) 
{
	$data = $_POST;

	if (empty($data['login'])) 
	{
		htmlError('Необходимо заполнить логин.', 'user');
	} 
	else if (empty($data['password'])) 
	{
		htmlError('Необходимо заполнить пароль.', 'user');
	} 
	else 
	{
		require_once('../../Functions/Browser.php');
		$browser 	= new Browser();
		$userAgent 	= $browser->getBrowser() . ' (Версия: ' .  $browser->getVersion() . ')';
		$ip 		= userGetIp();
		$sql 		= DB::$dbs->queryFetch("SELECT `id`, `password`, `ip`, `userAgent` FROM ". USERS ." WHERE `login` = ?", [$data['login']]);
		$auth 		= DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". AUTH_LIST ." WHERE `userId` = ? and `time` >= ? and `ip` = ? and `userAgent` = ?", [$sql['id'], (time() - 3600), $ip, $userAgent]);

		if ($auth >= 5) 
		{
			htmlError('Вы использовали все попытки авторизации под данным логином. Следующая авторизация будет доступна через некоторое время.', 'user');
		} 
		else 
		{
			if ($sql) 
			{
				if (password_verify($data['password'], $sql['password'])) 
				{
					$sessionUser 				= md5(time() . rand(1, 99999) . uniqid());
					$_SESSION['userId'] 		= $sql['id'];
					$_SESSION['sessionUser'] 	= $sessionUser;
					$token 						= md5(time() . rand(1, 9999) . $ip);

					DB::$dbs->query("INSERT INTO ". AUTH_LIST ."(`ip`, `userAgent`, `time`, `userId`, `status`) VALUES (?, ?, ?, ?, ?)", [$ip, $userAgent, time(), $sql['id'], 1]);

					if ($sql['ip'] != $ip) 
					{
						DB::$dbs->query("UPDATE ". USERS ." SET `ip` = ?, `ipNotifier` = ? WHERE `id` = ?", [$ip, 1, $sql['id']]);
					} 

					if ($userAgent != $sql['userAgent']) 
					{
						DB::$dbs->query("UPDATE ". USERS ." SET `userAgent` = ? WHERE `id` = ?", [$userAgent, $sql['id']]);
					}

					DB::$dbs->query("UPDATE ". USERS ." SET `sessionUser` = ?, `token` = ? WHERE `id` = ?", [$sessionUser, $token, $sql['id']]);

					setcookie("login", $data['login'], time()+9999999, "/");
		        	setcookie("password", password_hash($data['password'], PASSWORD_DEFAULT), time()+9999999, "/");

					header("Location: ". HOME ."/");
				} 
				else 
				{
					DB::$dbs->query("INSERT INTO ". AUTH_LIST ."(`ip`, `userAgent`, `time`, `userId`, `status`) VALUES (?, ?, ?, ?, ?)", [$ip, $userAgent, time(), $sql['id'], 0]);
					htmlError('Неверный логин или пароль.', 'user');
				}
			} 
			else 
			{
				htmlError('Неверный логин или пароль.', 'user');
			}
		}
	}
} 

?>

<div class="ContentBlock" style="text-align: center;">
	<form action="" method="POST"> 
		<b>Логин:</b><br/>
		<input type="text" name="login" placeholder="Введите логин"><br/>
		<b>Пароль:</b><br/>
		<input type="password" name="password" placeholder="Введите пароль"><br/>
		<input type="submit" name="try" value="Войти">
	</form>
</div>

<div class="ContentBlock">
	<a href="<?=HOME?>/Pages/Login/SignUp" class="TouchLink"><?=htmlIcon('in');?> Регистрация</a>
	<a href="<?=HOME?>/Pages/Login/Restore" class="TouchLink"><?=htmlIcon('in');?> Восстановить пароль</a>
	<a href="<?=HOME?>/" class="TouchLink"><?=htmlIcon('home');?> На главную</a>
</div>

<?php

htmlFooter();