<?php

define("_SITE_", 1);

require_once('../../Core/Core.php');

userCheckAuthorization('off');

if (isset($_POST['try'])) 
{
	$data 			= $_POST;
	$data['login'] 	= filterString($data['login']);
	$data['email'] 	= filterString($data['email']);

	if (empty($data['login'])) 
	{
		htmlError('Необходимо заполнить логин.', 'user');
	} 
	else if (empty($data['password']) || empty($data['rePassword'])) 
	{
		htmlError('Необходимо заполнить пароль.', 'user');
	} 
	else if (mb_strlen($data['login']) < 4 || mb_strlen($data['login']) > 12) 
	{
		htmlError('Логин должен быть в диапазоне [4-12].', 'user');
	} 
	else if (mb_strlen($data['password']) < 4 || mb_strlen($data['password']) > 15) 
	{
		htmlError('Пароль должен быть в диапазоне [4-12].', 'user');
	} 
	else if ($data['password'] != $data['rePassword']) 
	{
		htmlError('Пароли не совпадают.', 'user');
	} 
	else if (DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". USERS ." WHERE `login` = ?", [$data['login']]) == true) 
	{
		htmlError('Данный логин уже занят другим пользователем.', 'user');
	} 
	else if (empty($data['email'])) 
	{
		htmlError('Необходимо заполнить email.', 'user');
	} 
	else if (mb_strlen($data['email']) < 4 || mb_strlen($data['email']) > 20) 
	{
		htmlError('Email должен быть в диапазоне [4-20].', 'user');
	} 
	else if (!filter_var($data['email'], FILTER_VALIDATE_EMAIL)) 
	{
		htmlError('Некоректный email.', 'user');
	}
	else if (empty($data['code'])) 
	{
		htmlError('Введите код с картинки.', 'user');
	}
	else if ($data['code'] != $_SESSION['code']) 
	{
		htmlError('Код с картинки введен не верно.', 'user');
	} 
	else 
	{
		require_once('../../Functions/Browser.php');
		$data['password'] 			= password_hash($data['password'], PASSWORD_DEFAULT);
		$sessionUser 				= md5(time() . rand(1, 99999) . uniqid());
		$browser 					= new Browser();
		$userAgent 					= $browser->getBrowser() . ' (Версия: ' .  $browser->getVersion() . ')';
		$ip 						= userGetIp();
		$token 						= md5(time() . rand(1, 9999) . $ip);
		DB::$dbs->query("INSERT INTO ". USERS ." (`login`, `password`, `sessionUser`, `ip`, `userAgent`, `token`, `registrationTime`, `email`, `maxSites`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)", [$data['login'], $data['password'], $sessionUser, $ip, $userAgent, $token, $_SERVER['REQUEST_TIME'], $data['email'], 3]);
		$_SESSION['userId'] 		= DB::$dbs->lastInsertId();
		$_SESSION['sessionUser'] 	= $sessionUser;
		DB::$dbs->query("INSERT INTO ". AUTH_LIST ."(`ip`, `userAgent`, `time`, `userId`, `status`) VALUES (?, ?, ?, ?, ?)", [$ip, $userAgent, time(), $_SESSION['userId'], 1]);

		setcookie("login", $data['login'], time()+9999999, "/");
        setcookie("password", $data['password'], time()+9999999, "/");

		header("Location: ". HOME ."/");
	}
}

$formValueLogin = (!empty($_POST['login']) ? filterOutput($_POST['login']) : null);
$formValueEmail = (!empty($_POST['email']) ? filterOutput($_POST['email']) : null);

?>

<div class="ContentBlock" style="padding: 4px;">
	<form action="" method="POST">
		<b>Логин[4-12]:</b><br/>
		<input type="text" name="login" value="<?=$formValueLogin?>" placeholder="Введите логин"><br/>
		<b>Email[4-20]:</b><br/>
		<input type="text" name="email" value="<?=$formValueEmail?>" placeholder="Введите email"><br/>
		<b>Пароль[4-15]:</b><br/>
		<input type="text" name="password" placeholder="Введите пароль"><br/>
		<b>Повтор пароля[4-15]:</b><br/>
		<input type="text" name="rePassword" placeholder="Введите пароль еще раз"><br/>
		<b>Код с картинки[4]:</b><br/>
		<img src="Code.php"><br/>
		<input type="text" name="code" placeholder="Введите код с картинки"><br/>
		<input type="checkbox" name="rules"> Я согласен с <u><b>правилами</b></u> сервиса.<br/>
		<div style="text-align: center;">
			<input type="submit" name="try" value="Зарегистрировать"> 
		</div>
	</form>
</div>

<div class="InformationBlock">
	<?=htmlIcon('!')?> Все поля обязательны к заполнению.<br/>
	<?=htmlIcon('!')?> Регистрация на сайте не является обязательным условием для его использования, но после ее выполнения у вас открывается больше возможностей по использованию сайта.<br/>
	<?=htmlIcon('!')?> Email необходим для восстановления пароля.<br/>
	<?=htmlIcon('!')?> На один email может быть зарегистрировано неограниченое количество пользователей.<br/>
</div>

<div class="ContentBlock">
	<a href="<?=HOME?>/page/login/signIn.php" class="TouchLink"><?=htmlIcon('in');?> Авторизация</a>
	<a href="<?=HOME?>/" class="TouchLink"><?=htmlIcon('home');?> На главную</a>
</div>

<?php

htmlFooter();