<?php

define("_SITE_", 1);

require_once("../../Core/Core.php");

userCheckAuthorization();

if ($User['access'] < 1) 
{
	htmlError('Ошибка доступа', 'user');
} 
else 
{
	$all = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". SITES ." WHERE `status` != ? ORDER BY `click`", [1]);

	if (empty($all)) 
	{
		htmlError('Площадок нет.', 'user');
	} 
	else 
	{
		if (isset($_POST['success'])) 
		{
			$data 		= $_POST;
			$data['id'] = filterInt($data['id']);

			if (empty($data['id'])) 
			{
				htmlError('Не получен id площадки.', 'user');
			} 
			else 
			{
				$site = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". SITES ." WHERE `id` = ?", [$data['id']]);

				if (empty($site)) 
				{
					htmlError('Площадка не найдена.', 'user');
				} 
				else 
				{
					DB::$dbs->query("UPDATE ". SITES ." SET `status` = ? WHERE `id` = ?", [1, $data['id']]);
					htmlSuccess('Площадка одобрена.', 'user');
				}
			}
		}

		if (isset($_POST['abort'])) 
		{
			$data 		= $_POST;
			$data['id'] = filterInt($data['id']);

			if (empty($data['id'])) 
			{
				htmlError('Не получен id площадки.', 'user');
			} 
			else 
			{
				$site = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM ". SITES ." WHERE `id` = ?", [$data['id']]);

				if (empty($site)) 
				{
					htmlError('Площадка не найдена.', 'user');
				} 
				else 
				{
					DB::$dbs->query("DELETE FROM ". SITES ." WHERE `id` = ?", [$data['id']]);
					htmlSuccess('Площадка отклонена.', 'user');
				}
			}
		}

		$n 		= new Navigator($all,10,'');
		$sql 	= DB::$dbs->query("SELECT * FROM ". SITES ." WHERE `status` != ? ORDER BY `click` LIMIT {$n->start()}, 10", [1]);

		?>

<div class="ContentBlock">

		<?php

		while($site = $sql -> fetch()) 
		{

			?>

	<div class="InformationBlock" style="font-weight: normal;">
		<form action="" method="POST">
			<b>Название:</b><br/>
			<?=filterOutput($site['name'])?><br/>
			<b>Ссылка:</b><br/>
			<img src="https://www.google.com/s2/favicons?domain=<?=filterOutput($site['uri'])?>">
			<a href="<?=filterOutput($site['uri'])?>" target="_blank" title="Перейти по адресу <?=filterOutput($site['uri'])?>"> <?=filterOutput($site['uri'])?></a><br/>
			<b>Описание:</b><br/>
			<?=filterOutput($site['about'])?><br/>
			<b>Автор:</b><br/>
			<?=userLink($site['userId'])?><br/>
			<input type="hidden" name="id" value="<?=filterInt($site['id'])?>">
			<input type="submit" name="success" value="Одобрить"> 
			<input type="submit" name="abort" value="Отклонить"> 
		</form>
	</div>

			<?php

		}

		echo $n->navi();

		?>

</div>

<div class="ContentBlock">
	<a href="<?=HOME?>/Pages/Panel/" class="TouchLink"><?=htmlIcon('link');?> Панель управления</a>
</div>

		<?php
	}
}

htmlFooter();