<?php

define("_SITE_", 1);

require_once ('../../Core/Core.php');

userCheckAuthorization();

$userId = (!empty($_GET['userId']) ? filterInt($_GET['userId']) : null);

if (empty($userId) || !is_numeric($userId)) 
{
	htmlError('Пользователь не найден.', 'user');
} 
else 
{
	$profile = DB::$dbs->queryFetch("SELECT * FROM ". USERS ." WHERE `id` = ?", [$userId]);

	if (empty($profile)) 
	{
		htmlError('Пользователь не найден.', 'user');
	} 
	else 
	{
		?>

<div class="ContentHeader">
	<?=filterOutput($profile['login'])?>
</div>

<? if ($profile['blockTime'] > $_SERVER['REQUEST_TIME']) :?>
	<div class="UserError">
		Пользователь заблокирован!<br/>
		Причина: <?=filterOutput($profile['blockText'])?>.<br/>
		До окончания блокировки осталось: <?=htmlCountTime($profile['blockTime'] - $_SERVER['REQUEST_TIME'])?>.<br/>
		Заблокировал: <?=userLink($profile['blockAdmin'])?>
	</div> 
<? endif;?>

<div class="ContentHeader">
	Личные данные
</div>

<div class="ContentBlock">
	Имя: <?=filterOutput($profile['name'])?><br/>
	Фамилия: <?=filterOutput($profile['surname'])?><br/>
	Пол: <?=(!empty($profile['sex']) ? 'Мужской' : 'Женский')?><br/>
</div>

<div class="ContentHeader">
	Активность
</div>

<div class="ContentBlock">
	Дата регистрации: <?=htmlTime($profile['registrationTime'])?><br/>
	Последнее действие: <?=htmlTime($profile['online'])?><br/>
</div> 

<?php if ($User['access'] == 2 && $User['id'] != $profile['id']) :?>
	<div class="ContentHeader">
		Управление
	</div> 
	<div class="ContentBlock">
		<a href="<?=HOME?>/Pages/Panel/BlockUser?id=<?=$profile['id']?>" class="TouchLink"> Заблокировать</a>
	</div> 

<?php endif;?>

		<?php
	}
}

htmlFooter();