<?php

define("_SITE_", 1);

require_once("../../../Core/Core.php");

userCheckAuthorization();

if (isset($_POST['try'])) 
{
	$data 				= $_POST;
	$data['sex'] 		= filterInt($data['sex']);
	$data['name'] 		= filterString($data['name']);
	$data['surname'] 	= filterString($data['surname']);
	$data['code'] 		= filterString($data['code']);

	if (empty($data['name']) || empty($data['surname']) || empty($data['code'])) 
	{
		htmlError('Обнаружено пустое поле', 'user');
	} 
	else if (mb_strlen($data['name']) > 30 || mb_strlen($data['name']) < 3) 
	{
		htmlError('Имя должно быть в диапазоне [3-30]', 'user');
	}
	else if (mb_strlen($data['surname']) > 30 || mb_strlen($data['surname']) < 3) 
	{
		htmlError('Фамилия должна быть в диапазоне [3-30]', 'user');
	} 
	else if ($data['code'] != $_SESSION['code']) 
	{
		htmlError('Код с картинки введен не верно.', 'user');
	} 
	else if ($data['token'] != $User['token']) 
	{
		htmlError('Во время выполнения запроса возникла ошибка, попробуйте еще раз и если она повторится, обратитесь в поддержку.', 'user');
	}
	else 
	{
		DB::$dbs->query("UPDATE ". USERS ." SET `sex` = ?, `name` = ?, `surname` = ? WHERE `id` = ?", [$data['sex'], $data['name'], $data['surname'], $User['id']]);
		htmlSuccess('Данные изменены.');
	}
} 
?>

<div class="ContentBlock">
	<form action="" method="POST">
		<b>Пол:</b><br/>
		<select name="sex">
			<option value="0">
				Женский
			</option>
			<option value="1">
				Мужской
			</option>
		</select><br/>
		<b>Имя[3-20]:</b><br/>
		<input type="text" name="name" value="<?=(!empty($User['name']) ? filterOutput($User['name']) : null)?>"><br/>
		<b>Фамилия[3-20]:</b><br/>
		<input type="text" name="surname" value="<?=(!empty($User['surname']) ? filterOutput($User['surname']) : null)?>"><br/>
		<b>Код с картинки[4]:</b><br/>
		<img src="<?=HOME?>/Pages/Login/Code"><br/>
		<input type="text" name="code"><br/>
		<input type="hidden" name="token" value="<?=$User['token']?>">
		<input type="submit" name="try" value="Сохранить">
	</form>
</div>

<?php

htmlFooter();